Bug 1310669 - Document support for multiple versions of the API
Document support for multiple versions of the API
Product: ovirt-engine
Classification: oVirt
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.3
: ---
Assigned To: bugs@ovirt.org
: Documentation, Improvement
Depends On:
  Show dependency treegraph
Reported: 2016-02-22 08:24 EST by Juan Hernández
Modified: 2016-08-19 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red Hat Virtualization 4.0 supports versions 3 and 4 of the REST API, to allow compatibility with software that uses version 3 of the REST API. Version 3 of the REST API is identical to the API currently provided by version 3.6 of the Red Hat Enterprise Virtualization Manager. Version 4 includes some differences, which are described in https://github.com/oVirt/ovirt-engine/tree/master/backend/manager/modules/restapi#2-backwards-compatibility-breaking-changes-in-version-3-of-the-api. The API version can be selected using the HTTP 'Version' header or the '/v3' prefix in the URL. When neither the header nor the URL prefix are used the server automatically selects a version. The default is version '4', but this can be changed using the 'ENGINE_API_DEFAULT_VERSION' parameter. Changing this parameter affects all users of the engine that don't specify the version explicitly. The SDKs included in Red Hat Virtualization have been modified to send the correct 'Version' header, so you do not need to do anything if you are using version or later.
Story Points: ---
Clone Of:
Last Closed: 2016-08-19 00:27:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.z?
juan.hernandez: planning_ack?
juan.hernandez: devel_ack+
juan.hernandez: testing_ack?

Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2016-02-22 08:24:21 EST
Version 4 of the engine will support versions 3 and 4 of the API, as described here:


This needs to be documented, and included in the release notes.
Comment 1 Sandro Bonazzola 2016-05-02 06:10:34 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Note You need to log in before you can comment on or make changes to this bug.